#!/bin/bash
set -e

pkg=mencal

if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
fi

cp /usr/share/doc/${pkg}/* -a "${AUTOPKGTEST_TMP}"

cd "${AUTOPKGTEST_TMP}"
gunzip -r *

echo 'Test 1'
mencal -3
echo 'PASS'
echo

echo 'Test 2'
mencal -c s=0915,l=15,n=test2,c=green,f=logfile1.txt
mencal -c s=20050915,l=01,n=test2,c=blue,f=logfile2.txt
echo 'PASS'
echo

echo 'Test 3'
mencal logfile1.txt logfile2.txt -i yellow
echo 'PASS'
echo

echo 'Test 4'
mencal mencalrc_example -c s=20050915,l=01,n=test2,c=violet
echo 'PASS'

